
_main:
	MOV	#2048, W15
	MOV	#6142, W0
	MOV	WREG, 32
	MOV	#1, W0
	MOV	WREG, 52
	MOV	#4, W0
	IOR	68

;TC1047A_tempsensor.c,20 :: 		void main()
;TC1047A_tempsensor.c,22 :: 		IO_Init();// initailize controller
	PUSH	W10
	CALL	_IO_Init
;TC1047A_tempsensor.c,24 :: 		while(1)
L_main0:
;TC1047A_tempsensor.c,26 :: 		LATC.B2 ^=1;   //toggle led at RC2
	BTG	LATC, #2
;TC1047A_tempsensor.c,27 :: 		adcRaw = ADC1_Get_Sample(10); // read TC1047A
	MOV	#10, W10
	CALL	_ADC1_Get_Sample
	MOV	W0, _adcRaw
;TC1047A_tempsensor.c,28 :: 		Temp = (char) ((liniarFactor * adcRaw)- offset); //Convert to C
	ASR	W0, #15, W1
	SETM	W2
	CALL	__Long2Float
	MOV	#56099, W2
	MOV	#15865, W3
	CALL	__Mul_FP
	MOV	#0, W2
	MOV	#16968, W3
	CALL	__Sub_FP
	CALL	__Float2Longint
	MOV	#lo_addr(_Temp), W1
	MOV.B	W0, [W1]
;TC1047A_tempsensor.c,29 :: 		LATD = Temp;  // shoiw value on PortD
	ZE	W0, W0
	MOV	WREG, LATD
;TC1047A_tempsensor.c,30 :: 		Delay_ms(100);  // allow time for led to blink
	MOV	#11, W8
	MOV	#11309, W7
L_main2:
	DEC	W7
	BRA NZ	L_main2
	DEC	W8
	BRA NZ	L_main2
;TC1047A_tempsensor.c,32 :: 		}
	GOTO	L_main0
;TC1047A_tempsensor.c,33 :: 		}
L_end_main:
L__main_end_loop:
	BRA	L__main_end_loop
; end of _main

_IO_Init:

;TC1047A_tempsensor.c,35 :: 		void IO_Init()
;TC1047A_tempsensor.c,37 :: 		ADPCFG = 0x0400;      // Configure AN10 as Analog rest as digital pins
	MOV	#1024, W0
	MOV	WREG, ADPCFG
;TC1047A_tempsensor.c,38 :: 		TRISB = 0x0400;      // AN 10 as input all other as outputs
	MOV	#1024, W0
	MOV	WREG, TRISB
;TC1047A_tempsensor.c,39 :: 		TRISC.B2 = 0;
	BCLR	TRISC, #2
;TC1047A_tempsensor.c,40 :: 		TRISD = 0;
	CLR	TRISD
;TC1047A_tempsensor.c,41 :: 		ADC1_Init();
	CALL	_ADC1_Init
;TC1047A_tempsensor.c,42 :: 		}
L_end_IO_Init:
	RETURN
; end of _IO_Init
