/*********************************************************************
*   Reading the Microchip TC1047A Temperature sensor
*   MCU dsPIC30F6014A
*
**********************************************************************/
int adcRaw = 0;
char Temp = 0;
char *someText;
//-------------------------------------------------------------------
// definitions
//------------------------------------------------------------------
#define liniarFactor 0.122
#define offset 50
//-------------------------------------------------------------------
// function proto types
//------------------------------------------------------------------
void IO_Init(void);

//-------------------------------------------------------------------
void main() 
{
   IO_Init();// initailize controller

 while(1)
 {
  LATC.B2 ^=1;   //toggle led at RC2
  adcRaw = ADC1_Get_Sample(10); // read TC1047A
  Temp = (char) ((liniarFactor * adcRaw)- offset); //Convert to C
  LATD = Temp;  // shoiw value on PortD
  Delay_ms(100);  // allow time for led to blink
 
 }
}
//-------------------------------------------------------------------
void IO_Init()
{
 ADPCFG = 0x0400;      // Configure AN10 as Analog rest as digital pins
 TRISB = 0x0400;      // AN 10 as input all other as outputs
 TRISC.B2 = 0;
 TRISD = 0;
 ADC1_Init();
}
//--------------------------------------------------------------------